#include "mvpwindow.h"

int main(int argc, char *argv[])
{
    window_t *root;
	window_t *box;

    /* Create a root window */
    root = new_root(720, 576, 24);
    window_set_name(root, "ROOT");
    window_dump_window(root);

	/* Create a box */
	box = new_box(root, 10, 10, 100, 100);
	window_set_name(box, "BOX");
    
    window_dump_window(root);

	window_set_fill_col(box, 0xFF00FF);
	printf("Box Fill Color: 0x%08X\n", window_get_fill_col(box));

    delete_window(root);

    exit(0);
}

